[Top] [All Lists]

Re: [Qemu-devel] Qemu and Linux 2.4

To: Thiemo Seufer <>
Subject: Re: [Qemu-devel] Qemu and Linux 2.4
From: Vlad Lungu <>
Date: Tue, 11 Sep 2007 16:39:59 +0300
In-reply-to: <>
Original-recipient: rfc822;
References: <> <>
User-agent: Thunderbird (Windows/20061207)
Thiemo Seufer wrote:
Vlad Lungu wrote:
I know some of you will laugh, but:

- QEMU malta emulation is not really complete, to put it mildly

Out of curiosity, what parts did you miss?

Like, for example, the PCI stuff. So I can use the network card.
And yes, I am aware of YAMON.

- the QEMU target is available only for Linux 2.6
- despite popular opinion, 2.4 ain't dead yet, at least in the embedded market

I have a port of the QEMU target for Linux (latest 2.4 kernel on, with NE2000 card working (in both BE and LE modes).
Still rough at the edges, but it works on stock qemu-0.9.0 with -M mips.

I recommend to improve the Qemu Malta emulation, and make it work with
2.4 Malta kernels. (ISTR it used to work, so it shouldn't need a lot to
get there.)

I'm sure that improving the Qemu Malta emulation is a very noble goal, but for people that need a working 2.4 kernel NOW, my patch could be useful. Having the QEMU target in 2.6 surely helped me.


<Prev in Thread] Current Thread [Next in Thread>